<!DOCTYPE html>
<html>
<head>
  <title>Main Site</title>
</head>
<body>
  <h1>Welcome to the Main Site</h1>
  <ul>
    <li><a href="/problemset1">Problem Set 1</a></li>
    <li><a href="/problem_set_2">Problem Set 2</a></li>
    <!-- Add more links for other problem sets as needed -->
  </ul>
</body>
</html>

